GuidesAPI Reference
Guides

How to get Tariffs for connector groups or EVSE


This tutorial provides instructions on how to use the HERE EV Charge Points API v3 to get the tariffs for connector groups and for connectors in EV Supply Equipments (EVSEs) present at a location.

📘

Note

Not all EV charging locations have tariffs.

Tariffs data is provided by charge point operators. HERE Technologies tries to ensure freshness and correctness of this data, but can't guarantee that this data is always be up to date. There may be cases that tariffs data from HERE EV Charge Points API v3 and true tariffs at a charging location are different from each other.

Prerequisites

Before you start, complete your HERE platform onboarding and obtain application credentials. For more information about onboarding and credentials, see Get started.

This section requires you to understand basic requests in the HERE EV Charge Points API v3 as covered in Get one or multiple charging locations .

Tariffs

Tariffs provide information about charging costs.

Tariffs are present in three types:

  • Ad hoc - paid as you go,
  • eMSP (Electric Mobility Service Provider) - special prices for customers using dedicated subscriptions/programs on charging location of other company,
  • CPO (Charge Point Operator) - special prices for customers using dedicated subscriptions/programs of given CPO.

In order for drivers to charge cars, they typically need to pay a fee (called a tariff in the HERE EV Charge Points API v3) for using a connector.

From the user perspective, this way of representation may seem less than intuitive and unnecessarily complex, because of the HERE EV Charge Points API v3 supporting two ways of presenting tariffs.

  • At the connector group level, tariffs are associated with its specific connector type. Tariffs depend on the power output and max power. For example, fast DC charging is more expensive than slow AC charging."
  • At the individual connector level for each EVSE, the tariff is associated with its specific connector type. For example, fast DC charging is more expensive than slow AC charging.

This dual-level presentation allows users to quickly view general pricing at the connector group level or access detailed pricing for specific connectors as needed.

Tariffs are complex objects. For a description of tariffs, see Tariffs representation in data.

To get information on tariffs info, use the fields modifier with tariffs and at least one of the following:

  • connectorGroups - tariffs presented at the level of connectorGroup
  • evses - tariffs presented at the level of EVSE connectors.

HTTP call to the endpoint

To access the HERE EV Charge Points API v3 locations endpoint, send this request:

GET /v3/locations
Host: evcp.hereapi.com
User-Agent: curl/8.6.0
Accept: application/json
Authorization: Bearer ACCESS_TOKEN

The following examples all use cURL syntax.

Tariffs for connector groups

To get locations with tariffs for connectorGroups, run the following request:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=tariffs,connectorGroups" | jq

The response with tariffs for connectorGroups is as follows:

{
  "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
  "location": {
    "lat": 61.493773,
    "lng": 23.820261
  },
  "supportedVehicles": [
    "car"
  ],
  "name": "K-Lataus",
  "operator": {
    "name": "K-Lataus",
    "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
    "website": "https://k-lataus.fi/"
  },
  "connectorGroups": [
    {
      "standard": "CHADEMO",
      "maxPower": 50000,
      "connectorCount": 1,
      "availableConnectorCount": 0,
      "tariffIndexes": [
        0
      ]
    },
    {
      "standard": "IEC_62196_T2",
      "maxPower": 11000,
      "connectorCount": 2,
      "availableConnectorCount": 1,
      "tariffIndexes": [
        1
      ]
    },
    {
      "standard": "IEC_62196_T2_COMBO",
      "maxPower": 150000,
      "connectorCount": 2,
      "availableConnectorCount": 1,
      "tariffIndexes": [
        0
      ]
    }
  ],
  "tariffs": [
    {
      "partner": "K-Lataus",
      "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
      "currency": "EUR",
      "elements": [
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.4781,
              "vat": 25.5,
              "step": 1
            },
            {
              "dimension": "parkingTime",
              "price": 9.5618,
              "vat": 25.5,
              "step": 60
            }
          ],
          "condition": {
            "duration": {
              "min": 2700
            }
          }
        },
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.4781,
              "vat": 25.5,
              "step": 1
            }
          ]
        }
      ],
      "name": "Adhoc price",
      "type": "adhoc"
    },
    {
      "partner": "K-Lataus",
      "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
      "currency": "EUR",
      "elements": [
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.3187,
              "vat": 25.5,
              "step": 1
            },
            {
              "dimension": "parkingTime",
              "price": 0.9562,
              "vat": 25.5,
              "step": 60
            }
          ],
          "condition": {
            "duration": {
              "min": 7200
            }
          }
        },
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.3187,
              "vat": 25.5,
              "step": 1
            }
          ]
        }
      ],
      "name": "Adhoc price",
      "type": "adhoc"
    }
  ]
}

Tariffs representation in data

Tariff information is available through two fields: the tariffs array at the location level, which contains the tariff objects, and the tariffIndexes array at the connector or connector group level, which references the corresponding tariff objects within the tariffs array.

A tariff object consists of several fields, such as:

{
  "partner": "K-Lataus",
  "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
  "currency": "EUR",
  "elements": [
    {
      "components": [
        {
          "dimension": "energy",
          "price": 0.4781,
          "vat": 25.5,
          "step": 1
        }
      ]
    },
    {
      "components": [
        {
          "dimension": "energy",
          "price": 0.4781,
          "vat": 25.5,
          "step": 1
        },
        {
          "dimension": "parkingTime",
          "price": 9.5618,
          "vat": 25.5,
          "step": 60
        }
      ],
      "condition": {
        "duration": {
          "min": 2700
        }
      }
    }
  ],
  "name": "Adhoc price",
  "type": "adhoc"
}

These objects describe one tariff. A tariff can have multiple variants.

A general tariff object consists of these fields:

FieldField meaning
partnerThe owner of the tariff.
partnerIdThe unique ID for the owner of the tariff.
currencyThe three digit currency code of the country where the charging station is located.
nameThe name of the tariff.
typeThe type of the tariff. (adhoc, emsp, cpo)
elementsThe detailed description of tariff variants

The array elements consists of multiple tariff variants which are active when a certain condition applies.

Each element in elements derives from these fields:

FieldField meaning
components[].dimensionThe dimension used to calculate the price; supported values are time, energy, flat, parkingTime
components[].priceThe price in currency excluding VAT (price per 1 kWh for type energy, 1 hour for time and parkingTime)
components[].vatThe VAT percentage
components[].stepThe size of step for a given dimension
conditionThe set of conditions for which a given tariff is valid. The conditions are listed in priority order. When a date is present, this value match first, followed by days and so on.

Step sizes for dimensions (dimension flat excluded, which doesn't have a step value):

DimensionStep unit
timesecond
parkingTimesecond
energyWh
📘

Note

The value of components[].step describes the smallest possible unit of measurement for payment calculation, not the number of units per components[].price. The customer has to pay for each started components[].step of components[].dimension (with proper rounding according to local rules).

The price for time and parkingTime is per 1 hour (3600 seconds), the price for energy is per 1 kWh (1000 Wh).

For a description of the potential fields of condition, see the following table:

FieldField meaning
date.fromThe starting date of the tariff
date.toThe ending date of the tariff
daysDays during which the tariff is active
time.fromThe starting time of day for the tariff
time.toThe ending time of day for the tariff
duration.minThe minimum duration of a charging session in seconds when the tariff is active
duration.maxThe maximum duration of a charging session in seconds when the tariff is active
overstayBatteryLevelThe battery percentage at which the overstay tariffs are active

Tariffs for EVSEs

To get locations with tariffs for connectors in EVSEs, run the following request:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=tariffs,evses" | jq

The response with tariffs visible on the connector level for EVSE looks as follows:

{
  "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
  "location": {
    "lat": 61.493773,
    "lng": 23.820261
  },
  "supportedVehicles": [
    "car"
  ],
  "name": "K-Lataus",
  "operator": {
    "name": "K-Lataus",
    "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
    "website": "https://k-lataus.fi/"
  },
  "evses": [
    {
      "uid": "61012d39974e34d300daf902",
      "connectors": [
        {
          "id": "61012d39974e34d300daf902",
          "standard": "IEC_62196_T2_COMBO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 375,
          "maxPower": 150000,
          "tariffIndexes": [
            0
          ]
        }
      ],
      "status": "available",
      "modified": "2025-03-21T08:43:07Z",
      "evseId": "FI*KCH*7695",
      "physicalReference": "7695",
      "id": "here:evcp:evse:06c7f002d6c72a46c557de16ab56b12ebc28daf97dea4b4204f89a00fee49c19",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "60d049f75620ac3845d5cc2c",
      "connectors": [
        {
          "id": "60d049f75620ac3845d5cc2c",
          "standard": "IEC_62196_T2",
          "format": "socket",
          "powerType": "ac3Phase",
          "maxVoltage": 230,
          "maxCurrent": 16,
          "maxPower": 11000,
          "tariffIndexes": [
            1
          ]
        }
      ],
      "status": "blocked",
      "modified": "2025-03-21T12:19:14Z",
      "evseId": "FI*KCH*7529",
      "physicalReference": "7529",
      "id": "here:evcp:evse:4723299dbc7e72aad883cd476435d39f9adae594226905dca3c14fd7d5be6aea",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "60d41de176d170289517435a",
      "connectors": [
        {
          "id": "60d41de176d170289517435a",
          "standard": "IEC_62196_T2",
          "format": "socket",
          "powerType": "ac3Phase",
          "maxVoltage": 230,
          "maxCurrent": 16,
          "maxPower": 11000,
          "tariffIndexes": [
            1
          ]
        }
      ],
      "status": "available",
      "modified": "2025-03-21T10:56:02Z",
      "evseId": "FI*KCH*7547",
      "physicalReference": "7547",
      "id": "here:evcp:evse:9c0514b69854e38ed541bb6d5e8d8112c3001ac81117dcc5400b20a2fd2399e0",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "61012cf2c6edec8f60f1400d",
      "connectors": [
        {
          "id": "61012cf2c6edec8f60f1400d",
          "standard": "IEC_62196_T2_COMBO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 375,
          "maxPower": 150000,
          "tariffIndexes": [
            0
          ]
        }
      ],
      "status": "charging",
      "modified": "2025-03-21T13:12:41Z",
      "evseId": "FI*KCH*7693",
      "physicalReference": "7693",
      "id": "here:evcp:evse:bb3c1fda2196af35255922ee905ca2e69d9dfdebed7356cab39d24c4e04563b2",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "61012cf6fe193d7ed1d3b0d7",
      "connectors": [
        {
          "id": "61012cf6fe193d7ed1d3b0d7",
          "standard": "CHADEMO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 125,
          "maxPower": 50000,
          "tariffIndexes": [
            0
          ]
        }
      ],
      "status": "unknown",
      "modified": "2025-03-21T13:12:18Z",
      "evseId": "FI*KCH*7694",
      "physicalReference": "7694",
      "id": "here:evcp:evse:deb8d230c3acf81bf59856a5cfea400bff6ab98a3cda107bfcce0cfcc8228168",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    }
  ],
  "tariffs": [
    {
      "partner": "K-Lataus",
      "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
      "currency": "EUR",
      "elements": [
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.4781,
              "vat": 25.5,
              "step": 1
            },
            {
              "dimension": "parkingTime",
              "price": 9.5618,
              "vat": 25.5,
              "step": 60
            }
          ],
          "condition": {
            "duration": {
              "min": 2700
            }
          }
        },
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.4781,
              "vat": 25.5,
              "step": 1
            }
          ]
        }
      ],
      "name": "Adhoc price",
      "type": "adhoc"
    },
    {
      "partner": "K-Lataus",
      "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
      "currency": "EUR",
      "elements": [
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.3187,
              "vat": 25.5,
              "step": 1
            },
            {
              "dimension": "parkingTime",
              "price": 0.9562,
              "vat": 25.5,
              "step": 60
            }
          ],
          "condition": {
            "duration": {
              "min": 7200
            }
          }
        },
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.3187,
              "vat": 25.5,
              "step": 1
            }
          ]
        }
      ],
      "name": "Adhoc price",
      "type": "adhoc"
    }
  ]
}

Tariffs for connector groups and EVSEs

To get location with tariffs both on level of connectorGroup and evses at the same time:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=tariffs,connectorGroups,evses" | jq

The response is as follows:

{
  "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
  "location": {
    "lat": 61.493773,
    "lng": 23.820261
  },
  "supportedVehicles": [
    "car"
  ],
  "name": "K-Lataus",
  "operator": {
    "name": "K-Lataus",
    "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
    "website": "https://k-lataus.fi/"
  },
  "connectorGroups": [
    {
      "standard": "CHADEMO",
      "maxPower": 50000,
      "connectorCount": 1,
      "connectors": [
        {
          "evseUid": "61012cf6fe193d7ed1d3b0d7",
          "connectorIds": [
            "61012cf6fe193d7ed1d3b0d7"
          ]
        }
      ],
      "availableConnectorCount": 1,
      "tariffIndexes": [
        0
      ]
    },
    {
      "standard": "IEC_62196_T2",
      "maxPower": 11000,
      "connectorCount": 2,
      "connectors": [
        {
          "evseUid": "60d049f75620ac3845d5cc2c",
          "connectorIds": [
            "60d049f75620ac3845d5cc2c"
          ]
        },
        {
          "evseUid": "60d41de176d170289517435a",
          "connectorIds": [
            "60d41de176d170289517435a"
          ]
        }
      ],
      "availableConnectorCount": 1,
      "tariffIndexes": [
        1
      ]
    },
    {
      "standard": "IEC_62196_T2_COMBO",
      "maxPower": 150000,
      "connectorCount": 2,
      "connectors": [
        {
          "evseUid": "61012cf2c6edec8f60f1400d",
          "connectorIds": [
            "61012cf2c6edec8f60f1400d"
          ]
        },
        {
          "evseUid": "61012d39974e34d300daf902",
          "connectorIds": [
            "61012d39974e34d300daf902"
          ]
        }
      ],
      "availableConnectorCount": 2,
      "tariffIndexes": [
        0
      ]
    }
  ],
  "evses": [
    {
      "uid": "61012d39974e34d300daf902",
      "connectors": [
        {
          "id": "61012d39974e34d300daf902",
          "standard": "IEC_62196_T2_COMBO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 375,
          "maxPower": 150000,
          "tariffIndexes": [
            0
          ]
        }
      ],
      "status": "available",
      "modified": "2025-03-24T06:57:11Z",
      "evseId": "FI*KCH*7695",
      "physicalReference": "7695",
      "id": "here:evcp:evse:06c7f002d6c72a46c557de16ab56b12ebc28daf97dea4b4204f89a00fee49c19",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "60d049f75620ac3845d5cc2c",
      "connectors": [
        {
          "id": "60d049f75620ac3845d5cc2c",
          "standard": "IEC_62196_T2",
          "format": "socket",
          "powerType": "ac3Phase",
          "maxVoltage": 230,
          "maxCurrent": 16,
          "maxPower": 11000,
          "tariffIndexes": [
            1
          ]
        }
      ],
      "status": "charging",
      "modified": "2025-03-24T08:56:52Z",
      "evseId": "FI*KCH*7529",
      "physicalReference": "7529",
      "id": "here:evcp:evse:4723299dbc7e72aad883cd476435d39f9adae594226905dca3c14fd7d5be6aea",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "60d41de176d170289517435a",
      "connectors": [
        {
          "id": "60d41de176d170289517435a",
          "standard": "IEC_62196_T2",
          "format": "socket",
          "powerType": "ac3Phase",
          "maxVoltage": 230,
          "maxCurrent": 16,
          "maxPower": 11000,
          "tariffIndexes": [
            1
          ]
        }
      ],
      "status": "available",
      "modified": "2025-03-24T06:57:25Z",
      "evseId": "FI*KCH*7547",
      "physicalReference": "7547",
      "id": "here:evcp:evse:9c0514b69854e38ed541bb6d5e8d8112c3001ac81117dcc5400b20a2fd2399e0",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "61012cf2c6edec8f60f1400d",
      "connectors": [
        {
          "id": "61012cf2c6edec8f60f1400d",
          "standard": "IEC_62196_T2_COMBO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 375,
          "maxPower": 150000,
          "tariffIndexes": [
            0
          ]
        }
      ],
      "status": "available",
      "modified": "2025-03-24T06:57:04Z",
      "evseId": "FI*KCH*7693",
      "physicalReference": "7693",
      "id": "here:evcp:evse:bb3c1fda2196af35255922ee905ca2e69d9dfdebed7356cab39d24c4e04563b2",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "61012cf6fe193d7ed1d3b0d7",
      "connectors": [
        {
          "id": "61012cf6fe193d7ed1d3b0d7",
          "standard": "CHADEMO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 125,
          "maxPower": 50000,
          "tariffIndexes": [
            0
          ]
        }
      ],
      "status": "available",
      "modified": "2025-03-24T06:57:04Z",
      "evseId": "FI*KCH*7694",
      "physicalReference": "7694",
      "id": "here:evcp:evse:deb8d230c3acf81bf59856a5cfea400bff6ab98a3cda107bfcce0cfcc8228168",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    }
  ],
  "tariffs": [
    {
      "partner": "K-Lataus",
      "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
      "currency": "EUR",
      "elements": [
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.4781,
              "vat": 25.5,
              "step": 1
            },
            {
              "dimension": "parkingTime",
              "price": 9.5618,
              "vat": 25.5,
              "step": 60
            }
          ],
          "condition": {
            "duration": {
              "min": 2700
            }
          }
        },
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.4781,
              "vat": 25.5,
              "step": 1
            }
          ]
        }
      ],
      "name": "Adhoc price",
      "type": "adhoc"
    },
    {
      "partner": "K-Lataus",
      "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
      "currency": "EUR",
      "elements": [
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.3187,
              "vat": 25.5,
              "step": 1
            },
            {
              "dimension": "parkingTime",
              "price": 0.9562,
              "vat": 25.5,
              "step": 60
            }
          ],
          "condition": {
            "duration": {
              "min": 7200
            }
          }
        },
        {
          "components": [
            {
              "dimension": "energy",
              "price": 0.3187,
              "vat": 25.5,
              "step": 1
            }
          ]
        }
      ],
      "name": "Adhoc price",
      "type": "adhoc"
    }
  ]
}

Tariffs types

There are three general types of tariffs:

Tariff typeValue of type in tariff object
The ad hoc tariff - paid as you goadhoc
The (Electric Mobility Service Provider) eMSP tariffemsp
The CPO (Charge Point Operator) tariffcpo

Ad hoc tariffs

By default, tariffs and connectorGroups/evses only feature ad hoc prices if available.

Customers pay ad hoc directly after charging, for example by credit card, without the need to register or subscribe.

eMSP tariffs / CPO tariffs for partner

Drivers owning specific card/subscription for a given partner may be interested in tariffs for this partner.

This mechanism works both for eMSP and CPO tariffs.

To retrieve tariffs for a partner, use the tariff parameter.

Partner may have multiple different kinds/layers/subscriptions of tariffs. Metadata endpoint lets you find not only a partnerId but also tariff names with fields=operators,tariffs and eMobilityServiceProviders,tariffs.

Look for details in Metadata endpoint.

Add each requested partnerId tariff as a separate tariff query parameter, for example:

tariff=acd96056-cca7-11ed-a5a8-42010aa40fc0&tariff=9f99f8ec-cca7-11ed-8d25-42010aa40fc0

This ensures that the response contains tariffs for both partners (acd96056-cca7-11ed-a5a8-42010aa40fc0 and 9f99f8ec-cca7-11ed-8d25-42010aa40fc0) if available.

The following is an example with two partnerIds:

  • 295adedc-cca5-11ed-8fa2-42010aa40002
  • a3013e28-cca7-11ed-a9b3-42010aa40fc0
📘

Note

Each partner requires a separate tariff query parameter. For the partnerIDs mentioned above, the query parameters are:

  • tariff=295adedc-cca5-11ed-8fa2-42010aa40002&
  • tariff=a3013e28-cca7-11ed-a9b3-42010aa40fc0.

To get a location with two tariffs from above on connectorGroups level, run this request:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations?fields=tariffs,connectorGroups&ids=246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz&tariff=295adedc-cca5-11ed-8fa2-42010aa40002&tariff=a3013e28-cca7-11ed-a9b3-42010aa40fc0" | jq

The response contains ad hoc tariffs and all matching tariffs for the two previously mentioned partners:

{
  "items": [
    {
      "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
      "location": {
        "lat": 61.493773,
        "lng": 23.820261
      },
      "supportedVehicles": [
        "car"
      ],
      "name": "K-Lataus",
      "operator": {
        "name": "K-Lataus",
        "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
        "website": "https://k-lataus.fi/"
      },
      "connectorGroups": [
        {
          "standard": "CHADEMO",
          "maxPower": 50000,
          "connectorCount": 1,
          "availableConnectorCount": 1,
          "tariffIndexes": [
            0,
            2,
            1,
            3
          ]
        },
        {
          "standard": "IEC_62196_T2",
          "maxPower": 11000,
          "connectorCount": 2,
          "availableConnectorCount": 1,
          "tariffIndexes": [
            4,
            5,
            6,
            7
          ]
        },
        {
          "standard": "IEC_62196_T2_COMBO",
          "maxPower": 150000,
          "connectorCount": 2,
          "availableConnectorCount": 2,
          "tariffIndexes": [
            1,
            2,
            0,
            3
          ]
        }
      ],
      "tariffs": [
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3108,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3108,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 7.1713,
                  "vat": 25.5,
                  "step": 60
                }
              ]
            }
          ],
          "name": "Audi charging pro",
          "type": "emsp"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.5498,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.5498,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 7.1713,
                  "vat": 25.5,
                  "step": 60
                }
              ]
            }
          ],
          "name": "Audi charging plus",
          "type": "emsp"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.5498,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.5498,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 7.1713,
                  "vat": 25.5,
                  "step": 60
                }
              ]
            }
          ],
          "name": "Audi charging basic",
          "type": "emsp"
        },
        {
          "partner": "K-Lataus",
          "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.4781,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.4781,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 9.5618,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "duration": {
                  "min": 2700
                }
              }
            }
          ],
          "name": "Adhoc price",
          "type": "adhoc"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.239,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.239,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 3.3466,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "time": {
                  "from": "08:00:00",
                  "to": "23:00:00"
                }
              }
            }
          ],
          "name": "Audi charging pro",
          "type": "emsp"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3028,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3028,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 3.3466,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "time": {
                  "from": "08:00:00",
                  "to": "23:00:00"
                }
              }
            }
          ],
          "name": "Audi charging plus",
          "type": "emsp"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3028,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3028,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 3.3466,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "time": {
                  "from": "08:00:00",
                  "to": "23:00:00"
                }
              }
            }
          ],
          "name": "Audi charging basic",
          "type": "emsp"
        },
        {
          "partner": "K-Lataus",
          "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3187,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 0.9562,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "duration": {
                  "min": 7200
                }
              }
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3187,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            }
          ],
          "name": "Adhoc price",
          "type": "adhoc"
        }
      ]
    }
  ]
}

Working with named tariffs

Some eMSPs and CPOs may have multiple tariffs for different subscription levels.

To get locations with named tariffs for a given partner, you may use the tariff parameter including values of partnerId and the name of the tariff.

You may build it as partnerId,name using values from response for eMobilityServiceProviders,tariffs and operators,tariffs Metadata endpoint.

For example, to get location with tariffs for partnerId= "295adedc-cca5-11ed-8fa2-42010aa40002" and name="Audi", use the following tariff parameter:

tariff=295adedc-cca5-11ed-8fa2-42010aa40002,Audi%20charging%20pro
📘

Note

Names may contain spaces and other problematic characters, you need to ensure that they are URL-encoded (for example, replace each space with %20).

You may request multiple named tariffs for given partnerId in one go, separating named tariffs with comma ",", for example:

tariff=295adedc-cca5-11ed-8fa2-42010aa40002,Audi%20charging%20pro,Audi%20charging%20basic

returns both Audi charging pro and Audi charging basic tariffs for given partnerId.

To get locations with named tariffs on the connectorGroups level, run this request:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations?fields=tariffs,connectorGroups&ids=246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz&tariff=295adedc-cca5-11ed-8fa2-42010aa40002%2CAudi%20charging%20pro,Audi%20charging%20basic" | jq

Response:

{
  "items": [
    {
      "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
      "location": {
        "lat": 61.493773,
        "lng": 23.820261
      },
      "supportedVehicles": [
        "car"
      ],
      "name": "K-Lataus",
      "operator": {
        "name": "K-Lataus",
        "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
        "website": "https://k-lataus.fi/"
      },
      "connectorGroups": [
        {
          "standard": "CHADEMO",
          "maxPower": 50000,
          "connectorCount": 1,
          "availableConnectorCount": 1,
          "tariffIndexes": [
            1,
            0,
            2
          ]
        },
        {
          "standard": "IEC_62196_T2",
          "maxPower": 11000,
          "connectorCount": 2,
          "availableConnectorCount": 2,
          "tariffIndexes": [
            3,
            4,
            5
          ]
        },
        {
          "standard": "IEC_62196_T2_COMBO",
          "maxPower": 150000,
          "connectorCount": 2,
          "availableConnectorCount": 2,
          "tariffIndexes": [
            1,
            0,
            2
          ]
        }
      ],
      "tariffs": [
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3665,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 7.1713,
                  "vat": 25.5,
                  "step": 60
                }
              ]
            }
          ],
          "name": "Audi charging pro",
          "type": "emsp"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.5498,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            }
          ],
          "name": "Audi charging basic",
          "type": "emsp"
        },
        {
          "partner": "K-Lataus",
          "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.4781,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 9.5618,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "duration": {
                  "min": 2700
                }
              }
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.4781,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            }
          ],
          "name": "Adhoc price",
          "type": "adhoc"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.239,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            }
          ],
          "name": "Audi charging pro",
          "type": "emsp"
        },
        {
          "partner": "AUDI",
          "partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3028,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            }
          ],
          "name": "Audi charging basic",
          "type": "emsp"
        },
        {
          "partner": "K-Lataus",
          "partnerId": "a2f67dda-cca7-11ed-ad67-42010aa40fc0",
          "currency": "EUR",
          "elements": [
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3187,
                  "vat": 25.5,
                  "step": 1
                },
                {
                  "dimension": "parkingTime",
                  "price": 0.9562,
                  "vat": 25.5,
                  "step": 60
                }
              ],
              "condition": {
                "duration": {
                  "min": 7200
                }
              }
            },
            {
              "components": [
                {
                  "dimension": "energy",
                  "price": 0.3187,
                  "vat": 25.5,
                  "step": 1
                }
              ]
            }
          ],
          "name": "Adhoc price",
          "type": "adhoc"
        }
      ]
    }
  ]
}

When requesting a named tariff, the response contains only tariffs for the requested partnerId and name (if those are available), and an ad hoc tariff (if available).

This example contains these tariffs:

  • Ad hoc tariff,
  • Audi charging pro,
  • Audi charging basic